curl
curl -X GET "https://api.triggr-app.com/api/v1/approvals/<approvalId>" \
-H "Authorization: Bearer $TRIGGR_API_KEY"const res = await fetch("https://api.triggr-app.com/api/v1/approvals/<approvalId>", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.TRIGGR_API_KEY}`,
},
});
if (!res.ok) throw new Error(`Triggr ${res.status}: ${await res.text()}`);
const data = await res.json();$headers = @{
Authorization = "Bearer $env:TRIGGR_API_KEY"
}
Invoke-RestMethod -Method Get -Uri 'https://api.triggr-app.com/api/v1/approvals/<approvalId>' -Headers $headersimport requests
url = "https://api.triggr-app.com/api/v1/approvals/{approvalId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.triggr-app.com/api/v1/approvals/{approvalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.triggr-app.com/api/v1/approvals/{approvalId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.triggr-app.com/api/v1/approvals/{approvalId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.triggr-app.com/api/v1/approvals/{approvalId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.triggr-app.com/api/v1/approvals/{approvalId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"approval": {
"approver": "manager@acme.com",
"body": "Jane Doe leaves on 12 September. Approve to start the offboarding run.",
"createdAt": "2026-09-07T10:00:30Z",
"executionId": "1b4e28ba-2fa1-11d2-883f-0016d3cca427",
"expiresAt": "2026-09-09T10:00:00Z",
"id": "a7c19f02-8d3e-4b61-9f5a-2c8e7d4b1a03",
"reference": "REQ-4821",
"status": "pending",
"subject": "Approve offboarding for Jane Doe",
"type": "single",
"updatedAt": "2026-09-07T10:00:30Z"
},
"execution": {
"clientId": "c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
"createdAt": "2026-09-07T10:00:00Z",
"id": "1b4e28ba-2fa1-11d2-883f-0016d3cca427",
"status": "paused",
"workflowId": "wf_d4e5f6"
}
}{
"error": "<string>"
}{
"error": "<string>"
}Approvals & manual steps
Get an approval
GET
/
api
/
v1
/
approvals
/
{approvalId}
curl
curl -X GET "https://api.triggr-app.com/api/v1/approvals/<approvalId>" \
-H "Authorization: Bearer $TRIGGR_API_KEY"const res = await fetch("https://api.triggr-app.com/api/v1/approvals/<approvalId>", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.TRIGGR_API_KEY}`,
},
});
if (!res.ok) throw new Error(`Triggr ${res.status}: ${await res.text()}`);
const data = await res.json();$headers = @{
Authorization = "Bearer $env:TRIGGR_API_KEY"
}
Invoke-RestMethod -Method Get -Uri 'https://api.triggr-app.com/api/v1/approvals/<approvalId>' -Headers $headersimport requests
url = "https://api.triggr-app.com/api/v1/approvals/{approvalId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.triggr-app.com/api/v1/approvals/{approvalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.triggr-app.com/api/v1/approvals/{approvalId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.triggr-app.com/api/v1/approvals/{approvalId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.triggr-app.com/api/v1/approvals/{approvalId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.triggr-app.com/api/v1/approvals/{approvalId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"approval": {
"approver": "manager@acme.com",
"body": "Jane Doe leaves on 12 September. Approve to start the offboarding run.",
"createdAt": "2026-09-07T10:00:30Z",
"executionId": "1b4e28ba-2fa1-11d2-883f-0016d3cca427",
"expiresAt": "2026-09-09T10:00:00Z",
"id": "a7c19f02-8d3e-4b61-9f5a-2c8e7d4b1a03",
"reference": "REQ-4821",
"status": "pending",
"subject": "Approve offboarding for Jane Doe",
"type": "single",
"updatedAt": "2026-09-07T10:00:30Z"
},
"execution": {
"clientId": "c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
"createdAt": "2026-09-07T10:00:00Z",
"id": "1b4e28ba-2fa1-11d2-883f-0016d3cca427",
"status": "paused",
"workflowId": "wf_d4e5f6"
}
}{
"error": "<string>"
}{
"error": "<string>"
}⌘I

